Bug 1465934 - After deletion of Cloud provider "Refresh Relationships and Power States" throwing "error [NoMethodError]: undefined method `each' for nil:NilClass" in evm.log
After deletion of Cloud provider "Refresh Relationships and Power States" thr...
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
Unspecified Unspecified
low Severity high
: GA
: cfme-future
Assigned To: Marek Aufart
Dave Johnson
Depends On:
Blocks: 1478802
  Show dependency treegraph
Reported: 2017-06-28 09:18 EDT by Satyajit Bulage
Modified: 2018-02-26 01:54 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Satyajit Bulage 2017-06-28 09:18:04 EDT
Created attachment 1292651 [details]
evm.log during Refresh on Cloud Provider

Description of problem: 

Version-Release number of selected component (if applicable):

How reproducible:100%

Steps to Reproduce:
1.Add RHOS provider
2.Navigate to Compute--> Cloud --> Provider 
3.select cloud provider and click on "Refresh Relationships and Power States"

Actual results: Error "[NoMethodError]: undefined method `each' for nil:NilClass" in evm.log

Expected results: It should Refresh provider without any error in evm.log

Additional info:
Comment 6 Oleksandr Kolisnyk 2017-07-11 11:47:09 EDT
I can't reproduce it in (refresh was successful either for Cloud provider or Swift Manager).

However, Satyajit mentioned that this issue was seen in CF version . Any chance to provision a VM with this build ?

Note You need to log in before you can comment on or make changes to this bug.